---
sidebar_position: 7
description: Stop timekeeping and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Stop timekeeping
 Stops user timekeeping



`Function StopTimekeeping(Val URL, Val UserID = "", Val Time = "", Val Report = "", Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | UserID | --userid | String, Number | &#x2716; | Users ID. Current by default |
  | Time | --time | Date | &#x2716; | Stop time. The date must match the current. Current time by default. |
  | Report | --report | String | &#x2716; | Reason for change. Required when Time is specified and free schedule is disabled |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [timeman.close](https://dev.1c-bitrix.ru/rest_help/timeman/base/timeman_close.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";

    Result = OPI_Bitrix24.StopTimekeeping(URL);

    URL    = "b24-ar17wx.bitrix24.by";
    Token  = "6ad03969006e9f06006b12e400000001000...";
    UserID = 1;
    Time   = OPI_Tools.GetCurrentDate();
    Report = "Time off";

    Result = OPI_Bitrix24.StopTimekeeping(URL, UserID, Time, Report, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 StopTimekeeping \
             --url "b24-ar17wx.bitrix24.by" \
             --userid 1 \
             --time "2025-12-10T19:56:25.7508133" \
             --report "Time off" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 StopTimekeeping ^
             --url "b24-ar17wx.bitrix24.by" ^
             --userid 1 ^
             --time "2025-12-10T19:56:25.7508133" ^
             --report "Time off" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
  "error": "WRONG_DATETIME_FORMAT",
  "error_description": "Wrong datetime format"
  }
```
